Bug 582711 - VGA flickering across the horizontal during KMS boot
Summary: VGA flickering across the horizontal during KMS boot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-15 15:55 UTC by Glen Gray
Modified: 2010-06-20 18:31 UTC (History)
4 users (show)

Fixed In Version: kernel-2.6.33.2-57.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-25 13:56:25 UTC
Type: ---


Attachments (Terms of Use)
dmesg output after drm.debug=15 initcall_debug=1 was set (101.69 KB, application/octet-stream)
2010-04-15 15:55 UTC, Glen Gray
no flags Details

Description Glen Gray 2010-04-15 15:55:14 UTC
Created attachment 406843 [details]
dmesg output after drm.debug=15 initcall_debug=1 was set

Description of problem:
VGA picture is unstable and flickers on the horizontal. Flicker is intermittent, ie. the screen is readable but flicks to the right and back again approx once every 2 seconds or so.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot with KMS enabled and VGA connection to an LCD TV
2.
3.
  
Actual results:
Flickery unstable image

Expected results:
Stable image

Additional info:
Possibly related to an older bug on the same hardware
https://bugzilla.redhat.com/show_bug.cgi?id=495741
https://bugs.freedesktop.org/show_bug.cgi?id=21012

Comment 1 Adam Williamson 2010-04-16 18:21:07 UTC
A new version of the Intel driver, xorg-x11-drv-intel-2.11.0-1.fc13, has just been added: https://admin.fedoraproject.org/updates/xorg-x11-drv-intel-2.11.0-1.fc13 . Can you please test with this version and see if the bug is reproducible? If you have an installed Fedora 13, you can download and install the driver from the Koji link. If you are testing with live images, the nightly live images from 2010-04-17 (or possibly 2010-04-18) onwards should include this version: http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/ . This comment is being added to all open Fedora 13 intel bugs, please ignore if it does not make sense in the context of your bug.

Comment 2 Glen Gray 2010-04-19 16:42:31 UTC
Given that the issues are more likely related to the kernel drm (this is all pre X loading) then an updated ddx driver wouldn't likely change anything (Actually, once Xorg did start, I had a blank screen, likely not detecting the VGA or DVI cable connection properly)

Comment 3 Fedora Update System 2010-04-20 14:06:08 UTC
kernel-2.6.33.2-57.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.33.2-57.fc13

Comment 4 Fedora Update System 2010-04-21 02:19:21 UTC
kernel-2.6.33.2-57.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.33.2-57.fc13

Comment 5 Fedora Update System 2010-04-25 13:55:40 UTC
kernel-2.6.33.2-57.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Peter Hjalmarsson 2010-06-20 18:31:12 UTC
Do you still experience this?

I have a similar problem with a CRT TV connected with S-Video to either of two different computers having chipset intel i945, but with the difference that X starts on the telly, and the flickering gets worse.


Note You need to log in before you can comment on or make changes to this bug.